<?php
/**
 * AccountHandler
 * $Id: AccountHandler.inc,v 1.1 2015/10/08 11:49:32 wanggb Exp $
 * @author $Author: wanggb $
 * @access public
 * @package jp.fishow.handler 
 */

class AccountHandler {
	
	/**
	 * 管理员登陆认证
	 * @param unknown_type $login
	 * @param unknown_type $password
	 */
	public static function getAccountByLoginPassword($login, $password) {
		$param = array();
		$param["delete_flg"] = false;
		$param["login"] = $login;
		$param["password"] = $password;
		$account_list = AccountMst::getList($param);
		if (count($account_list) > 0) {
			return $account_list[0];
		}
		return null;
	}
	
	/**
	 * 合作方登录认证
	 * @param unknown_type $login
	 * @param unknown_type $password
	 */
	public static function getPartnerByLoginPassword($login, $password) {
		$param = array();
		$param["delete_flg"] = false;
		$param["login"] = $login;
		$param["password"] = $password;
		$partner_list = PartnerMst::getList($param);
		if (count($partner_list) > 0) {
			return $partner_list[0];
		}
		return null;
	}	
	
	
}


?> 